%global		_newname Vuze

Name:		vuze
Version:	5.1.0.0
Release:	%mkrel 2
Summary:	A BitTorrent Client
Group:		Networking/File transfer
License:	GPLv2+
URL:		http://azureus.sourceforge.net

Source0:	http://downloads.sourceforge.net/azureus/%{_newname}_5100_source.zip

Source1:	azureus.script
Source2:	Azureus.desktop
Source3:	azureus.applications

#ant build script from Azureus-4.3.0.6
Source4:	build.xml

Patch0:		azureus-cache-size.patch
Patch1:		azureus-remove-manifest-classpath.patch
Patch2:		azureus-no-shared-plugins.patch
Patch3:	azureus-SecureMessageServiceClientHelper-bcprov.patch

Patch4:	azureus-4.0.0.4-boo-osx.diff
Patch5:	azureus-4.0.0.4-boo-updating-w32.diff

Patch6:	azureus-4.0.0.4-stupid-invalid-characters.diff

Patch7:	azureus-4.2.0.4-java5.patch

Patch8:	azureus-4.8.1.2-fix-compile.patch

Patch9:	azureus-4.8.1.2-no-bundled-apache-commons.patch

BuildRequires:	ant, jpackage-utils >= 1.5, xml-commons-apis
BuildRequires:	apache-commons-cli, log4j
BuildRequires:	apache-commons-lang
BuildRequires:	bouncycastle >= 1.33-3
BuildRequires:	eclipse-swt >= 3.5
BuildRequires:	junit
Requires:	apache-commons-cli, log4j
Requires:	eclipse-swt >= 3.5
Requires:	 bouncycastle >= 1.33-3
Requires:	 java >= 1:1.6.0
BuildRequires:	 java-devel >= 1:1.6.0
BuildRequires:	 desktop-file-utils
Requires(post):	 desktop-file-utils
Requires(postun):	desktop-file-utils

Provides:	vuze = %{version}-%{release}

BuildArch:	noarch


%description 
Azureus (now %{_newname}) implements the BitTorrent protocol using java
and comes bundled with many invaluable features for both beginners and
advanced users.

%prep
%setup -q -c

cp %{SOURCE4} .

%patch0 -p0 -b .cache-size
%patch1 -p1 -b .remove-manifest-classpath
%patch2 -p1 -b .no-shared-plugins

%patch3 -p1 -b .nobcprov


rm org/gudy/azureus2/ui/swt/osx/CarbonUIEnhancer.java
rm org/gudy/azureus2/ui/swt/osx/Start.java
rm org/gudy/azureus2/ui/swt/win32/Win32UIEnhancer.java
%patch4 -p1 -b .boo-osx
%patch5 -p1 -b .boo-updating-w32

%patch6  -p1 -b stupid-invalid-characters

%patch7 -p1 -b .java5

%patch8 -p1 -b .fix-compile

%patch9 -p1 -b .no-bundled-apache-commons

#hacks to org.eclipse.swt.widgets.Tree2 don't compile.
rm -fR org/eclipse

# Convert line endings...
sed -i 's/\r//' ChangeLog.txt
chmod 644 *.txt

#remove bundled libs
rm -fR org/apache

%build
mkdir -p build/libs
build-jar-repository -p build/libs bcprov apache-commons-cli log4j \
  junit apache-commons-lang

#ppc seems to have eclipse-swt.ppc64 installed so libdir can't be used
if [ -e /usr/lib/eclipse/swt.jar ];then
  ln -s /usr/lib/eclipse/swt.jar build/libs
else
  ln -s /usr/lib64/eclipse/swt.jar build/libs
fi

ant jar

%install
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/azureus/plugins
install -pm 644 dist/Azureus2.jar $RPM_BUILD_ROOT%{_datadir}/azureus/Azureus2.jar
# TODO: fix launcher to be multilib-safe
install -p -D -m 0755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/azureus

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 org/gudy/azureus2/ui/icons/a32.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/azureus.png
install -m 644 org/gudy/azureus2/ui/icons/a64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/azureus.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir ${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE2}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/application-registry
install -m644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/application-registry

%files
%doc ChangeLog.txt GPL.txt
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/pixmaps/azureus.png
%{_datadir}/icons/hicolor/16x16/apps/azureus.png
%{_datadir}/icons/hicolor/32x32/apps/azureus.png
%{_datadir}/icons/hicolor/64x64/apps/azureus.png
%{_bindir}/azureus
%{_datadir}/azureus



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 5.1.0.0-2.mga4
+ Revision: 541509
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 dmorgan <dmorgan> 5.1.0.0-1.mga4
+ Revision: 496035
- New version

* Wed Jul 17 2013 dmorgan <dmorgan> 5.0.0.0-1.mga4
+ Revision: 455189
- New version

* Mon Jan 14 2013 umeabot <umeabot> 4.6.0.4-4.mga3
+ Revision: 385582
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 dmorgan <dmorgan> 4.6.0.4-3.mga3
+ Revision: 380084
- Fix files encoding

* Fri Aug 05 2011 dmorgan <dmorgan> 4.6.0.4-2.mga2
+ Revision: 131836
- Fix package name
- Add back console subpackage
- Update to version 4.6.0.4
- Sync with fedora
- use webkit instead of xulrunner, works around RHBz 674838

* Sat Mar 26 2011 blino <blino> 4.3.0.4-2.mga1
+ Revision: 77875
- remove old version checks and scriptlets
- imported package vuze


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 4.3.0.4-2mdv2011.0
+ Revision: 615414
- the mass rebuild of 2010.1 packages

* Wed Dec 09 2009 Anssi Hannula <anssi@mandriva.org> 4.3.0.4-1mdv2010.1
+ Revision: 475274
- new version 4.3.0.4
- create a vuze symlink for azureus binary as per upstream
- rediff patches disable-updates.patch, disable-win32-osx.patch

* Sun Oct 04 2009 Anssi Hannula <anssi@mandriva.org> 4.2.0.8-2mdv2010.0
+ Revision: 453371
- fix gre selection in startup script

* Sun Sep 20 2009 Anssi Hannula <anssi@mandriva.org> 4.2.0.8-1mdv2010.0
+ Revision: 445553
- new version 4.2.0.8
- provide build.plugins.xml for building plugins
- replace fedora win32/osx removal patches with cleaner versions
- suggest plugin packages that are bundled in the official upstream
  installation package
- fix vuze-console description

* Wed Aug 19 2009 Anssi Hannula <anssi@mandriva.org> 4.2.0.4-1mdv2010.0
+ Revision: 417918
- new version
- provide a new rewritten startup script
  o adds support for passing commands to already active instance
  o adds support for --ui option when necessary packages are installed
    (see below)
  o selects correct GRE for browser embedding depending on arch and the
    GRE version numbers (fixes bug #44008)
  o fixes loading of SWT, fixing vuze startup (fixes bug #42756)
  o use -Xmx128m option with java for now (as per upstream)
  o dropped symlink hacks, now using vuze's own support for separated
    system-wide plugins and user plugins
- drop custom applications-registry entry, unneeded
- clean .spec
- remove patches that were not applied
- remove fedora update manager removal patches
- add java5.patch from fedora (build for target 1.5)
- update other fedora patches
- disable updates for core, internal plugins, and system-wide plugins
  (disable-updates.patch, fixes bug #46219); user-installed plugins will
  be updated, however, and plugins can be installed directly from the
  Tools menu, as with official build
- do not try to install azupdater as a system-wide plugin (shared.patch)
- fix build with recent bouncycastle (recent-bouncycastle.patch)
- drop requires on java gtk stuff, they were unneeded
- split console support into vuze-console subpackage; that package will
  be empty but it requires the extra packages that are needed for
  console/telnet support
- really use system bouncycastle
- on 2009.1 and older, keep using internal bouncycastle as bouncycastle
  packages on those releases were bloated
- drop unneeded %%post and %%postun on 2009.0+
- use liblog4j-java packages instead of log4j on cooker in order to
  reduce unneeded dependencies

* Sun Mar 15 2009 Olivier Blin <oblin@mandriva.com> 4.0.0.4-2mdv2009.1
+ Revision: 355338
- add glib-java and libgtk-java as Requires (and remove them from BuildRequires, their devel counterpart is already BuildRequired)
- fix typo in BuildRequires

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix launch script

* Thu Mar 05 2009 Jérôme Soyer <saispo@mandriva.org> 4.0.0.4-1mdv2009.1
+ Revision: 348975
- Add BR
- Remove gcj support
- New upstream release

* Wed Aug 13 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:3.1.1.0-0.0.1mdv2009.0
+ Revision: 271410
- direct symlink to swt.jar
- replace swt-gtk with swt everywhere
- fix startup script
- fix build

  + David Walluck <walluck@mandriva.org>
    - fix build with eclipse-swt
    - import vuze


